Bug 455943 - Kernel 2.6.25.10-86 IRQ handler problems
Kernel 2.6.25.10-86 IRQ handler problems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-18 19:56 EDT by Jussi Eloranta
Modified: 2009-07-14 11:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jussi Eloranta 2008-07-18 19:56:01 EDT
Description of problem:

When I boot x86_64 system (4 x quad core opteron with 64 gb of ram), I see the
following messages in the system log:

------

Allocate Port Service[0000:00:0d.0:pcie03]
PCI: Setting latency timer of device 0000:00:0f.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:0f.0:pcie00]
Allocate Port Service[0000:00:0f.0:pcie01]
Allocate Port Service[0000:00:0f.0:pcie03]
IRQ handler type mismatch for IRQ 0
current handler: timer
Pid: 1, comm: swapper Not tainted 2.6.25.10-86.fc9.x86_64 #1

Call Trace:
 [<ffffffff8107165c>] setup_irq+0x1f0/0x20d
 [<ffffffff811405cd>] ? aer_irq+0x0/0x113
 [<ffffffff8107173e>] request_irq+0xc5/0xee
 [<ffffffff81282f1e>] aer_probe+0xc2/0x13c
 [<ffffffff8113eb67>] pcie_port_probe_service+0x3a/0x75
 [<ffffffff811a8471>] driver_probe_device+0xc0/0x16e
 [<ffffffff811a85b2>] __driver_attach+0x93/0xd3
 [<ffffffff811a851f>] ? __driver_attach+0x0/0xd3
 [<ffffffff811a7c8e>] bus_for_each_dev+0x4f/0x89
 [<ffffffff8112c3be>] ? kobject_get+0x1a/0x22
 [<ffffffff811a82bc>] driver_attach+0x1c/0x1e
 [<ffffffff811a7505>] bus_add_driver+0xb7/0x200
 [<ffffffff811a877b>] driver_register+0x5e/0xde
 [<ffffffff8113ead3>] pcie_port_service_register+0x47/0x49
 [<ffffffff8147a496>] aer_service_init+0x1e/0x20
 [<ffffffff8145f50b>] kernel_init+0x1f8/0x368
 [<ffffffff8100ccf8>] child_rip+0xa/0x12
 [<ffffffff8145f313>] ? kernel_init+0x0/0x368
 [<ffffffff8100ccee>] ? child_rip+0x0/0x12

aer_probe: Request ISR fails on PCIE device[0000:00:0a.0:pcie01]
aer: probe of 0000:00:0a.0:pcie01 failed with error -16
IRQ handler type mismatch for IRQ 0
current handler: timer
Pid: 1, comm: swapper Not tainted 2.6.25.10-86.fc9.x86_64 #1

Call Trace:
 [<ffffffff8107165c>] setup_irq+0x1f0/0x20d
 [<ffffffff811405cd>] ? aer_irq+0x0/0x113
 [<ffffffff8107173e>] request_irq+0xc5/0xee
 [<ffffffff81282f1e>] aer_probe+0xc2/0x13c
 [<ffffffff8113eb67>] pcie_port_probe_service+0x3a/0x75
 [<ffffffff811a8471>] driver_probe_device+0xc0/0x16e
 [<ffffffff811a85b2>] __driver_attach+0x93/0xd3
 [<ffffffff811a851f>] ? __driver_attach+0x0/0xd3
 [<ffffffff811a7c8e>] bus_for_each_dev+0x4f/0x89
 [<ffffffff8112c3be>] ? kobject_get+0x1a/0x22
 [<ffffffff811a82bc>] driver_attach+0x1c/0x1e
 [<ffffffff811a7505>] bus_add_driver+0xb7/0x200
 [<ffffffff811a877b>] driver_register+0x5e/0xde
 [<ffffffff8113ead3>] pcie_port_service_register+0x47/0x49
 [<ffffffff8147a496>] aer_service_init+0x1e/0x20
 [<ffffffff8145f50b>] kernel_init+0x1f8/0x368
 [<ffffffff8100ccf8>] child_rip+0xa/0x12
 [<ffffffff8145f313>] ? kernel_init+0x0/0x368
 [<ffffffff8100ccee>] ? child_rip+0x0/0x12

aer_probe: Request ISR fails on PCIE device[0000:00:0d.0:pcie01]
aer: probe of 0000:00:0d.0:pcie01 failed with error -16
IRQ handler type mismatch for IRQ 0
current handler: timer
Pid: 1, comm: swapper Not tainted 2.6.25.10-86.fc9.x86_64 #1

Call Trace:
 [<ffffffff8107165c>] setup_irq+0x1f0/0x20d
 [<ffffffff811405cd>] ? aer_irq+0x0/0x113
 [<ffffffff8107173e>] request_irq+0xc5/0xee
 [<ffffffff81282f1e>] aer_probe+0xc2/0x13c
 [<ffffffff8113eb67>] pcie_port_probe_service+0x3a/0x75
 [<ffffffff811a8471>] driver_probe_device+0xc0/0x16e
 [<ffffffff811a85b2>] __driver_attach+0x93/0xd3
 [<ffffffff811a851f>] ? __driver_attach+0x0/0xd3
 [<ffffffff811a7c8e>] bus_for_each_dev+0x4f/0x89
 [<ffffffff8112c3be>] ? kobject_get+0x1a/0x22
 [<ffffffff811a82bc>] driver_attach+0x1c/0x1e
 [<ffffffff811a7505>] bus_add_driver+0xb7/0x200
 [<ffffffff811a877b>] driver_register+0x5e/0xde
 [<ffffffff8113ead3>] pcie_port_service_register+0x47/0x49
 [<ffffffff8147a496>] aer_service_init+0x1e/0x20
 [<ffffffff8145f50b>] kernel_init+0x1f8/0x368
 [<ffffffff8100ccf8>] child_rip+0xa/0x12
 [<ffffffff8145f313>] ? kernel_init+0x0/0x368
 [<ffffffff8100ccee>] ? child_rip+0x0/0x12

aer_probe: Request ISR fails on PCIE device[0000:00:0f.0:pcie01]
aer: probe of 0000:00:0f.0:pcie01 failed with error -16
pci_hotplug: PCI Hot Plug PCI Core version: 0.5

----


The system runs fine after this though. This happens during every boot so I can
easily reproduce it if more details are needed.
Comment 1 Chuck Ebbert 2008-10-23 22:56:21 EDT
Is this fixed in 2.6.26.6-79.fc9?
Comment 2 Jussi Eloranta 2008-12-29 17:14:06 EST
The following is with: 2.6.27.9-73.fc9.x86_64. Looks slightly different.

IRQ handler type mismatch for IRQ 0
current handler: timer
Pid: 1, comm: swapper Not tainted 2.6.27.9-73.fc9.x86_64 #1

Call Trace:
 [<ffffffff812c1751>] ? _spin_lock_irqsave+0x2a/0x33
 [<ffffffff81081627>] setup_irq+0x286/0x2ab
 [<ffffffff81163b6d>] ? aer_irq+0x66/0x111
 [<ffffffff81163b07>] ? aer_irq+0x0/0x111
 [<ffffffff81081759>] request_irq+0x10d/0x136
 [<ffffffff812b3636>] aer_probe+0xc5/0x148
 [<ffffffff81161fe2>] pcie_port_probe_service+0x3a/0x84
 [<ffffffff811d9a24>] driver_probe_device+0xc0/0x16e
 [<ffffffff811d9b21>] __driver_attach+0x4f/0x79
 [<ffffffff811d9ad2>] ? __driver_attach+0x0/0x79
 [<ffffffff811d92ba>] bus_for_each_dev+0x4f/0x89
 [<ffffffff811d986f>] driver_attach+0x1c/0x1e
 [<ffffffff811d8bda>] bus_add_driver+0xb5/0x1ff
 [<ffffffff814ec140>] ? early_idt_handler+0x0/0x72
 [<ffffffff811d9d10>] driver_register+0xa8/0x128
 [<ffffffff8150fafd>] ? aer_service_init+0x0/0x20
 [<ffffffff814ec140>] ? early_idt_handler+0x0/0x72
 [<ffffffff81161f37>] pcie_port_service_register+0x47/0x49
 [<ffffffff8150fb1b>] aer_service_init+0x1e/0x20
 [<ffffffff8100a047>] do_one_initcall+0x47/0x12e
 [<ffffffff814ec140>] ? early_idt_handler+0x0/0x72
 [<ffffffff81100000>] ? do_io_accounting+0x3e/0x165
 [<ffffffff814ec72b>] kernel_init+0x1c0/0x214
 [<ffffffff812c12ba>] ? trace_hardirqs_on_thunk+0x3a/0x3c
 [<ffffffff810116e9>] child_rip+0xa/0x11
 [<ffffffff81010a07>] ? restore_args+0x0/0x30
 [<ffffffff814ec56b>] ? kernel_init+0x0/0x214
 [<ffffffff810116df>] ? child_rip+0x0/0x11

aer 0000:00:0a.0:pcie01: request IRQ failed
aer: probe of 0000:00:0a.0:pcie01 failed with error -16
IRQ handler type mismatch for IRQ 0
current handler: timer
Pid: 1, comm: swapper Not tainted 2.6.27.9-73.fc9.x86_64 #1

Call Trace:
 [<ffffffff812c1751>] ? _spin_lock_irqsave+0x2a/0x33
 [<ffffffff81081627>] setup_irq+0x286/0x2ab
 [<ffffffff81163b6d>] ? aer_irq+0x66/0x111
 [<ffffffff81163b07>] ? aer_irq+0x0/0x111
 [<ffffffff81081759>] request_irq+0x10d/0x136
 [<ffffffff812b3636>] aer_probe+0xc5/0x148
 [<ffffffff81161fe2>] pcie_port_probe_service+0x3a/0x84
 [<ffffffff811d9a24>] driver_probe_device+0xc0/0x16e
 [<ffffffff811d9b21>] __driver_attach+0x4f/0x79
 [<ffffffff811d9ad2>] ? __driver_attach+0x0/0x79
 [<ffffffff811d92ba>] bus_for_each_dev+0x4f/0x89
 [<ffffffff811d986f>] driver_attach+0x1c/0x1e
 [<ffffffff811d8bda>] bus_add_driver+0xb5/0x1ff
 [<ffffffff814ec140>] ? early_idt_handler+0x0/0x72
 [<ffffffff811d9d10>] driver_register+0xa8/0x128
 [<ffffffff8150fafd>] ? aer_service_init+0x0/0x20
 [<ffffffff814ec140>] ? early_idt_handler+0x0/0x72
 [<ffffffff81161f37>] pcie_port_service_register+0x47/0x49
 [<ffffffff8150fb1b>] aer_service_init+0x1e/0x20
 [<ffffffff8100a047>] do_one_initcall+0x47/0x12e
 [<ffffffff814ec140>] ? early_idt_handler+0x0/0x72
 [<ffffffff81100000>] ? do_io_accounting+0x3e/0x165
 [<ffffffff814ec72b>] kernel_init+0x1c0/0x214
 [<ffffffff812c12ba>] ? trace_hardirqs_on_thunk+0x3a/0x3c
 [<ffffffff810116e9>] child_rip+0xa/0x11
 [<ffffffff81010a07>] ? restore_args+0x0/0x30
 [<ffffffff814ec56b>] ? kernel_init+0x0/0x214
 [<ffffffff810116df>] ? child_rip+0x0/0x11

aer 0000:00:0d.0:pcie01: request IRQ failed
aer: probe of 0000:00:0d.0:pcie01 failed with error -16
IRQ handler type mismatch for IRQ 0
current handler: timer
Pid: 1, comm: swapper Not tainted 2.6.27.9-73.fc9.x86_64 #1

Call Trace:
 [<ffffffff812c1751>] ? _spin_lock_irqsave+0x2a/0x33
 [<ffffffff81081627>] setup_irq+0x286/0x2ab
 [<ffffffff81163b6d>] ? aer_irq+0x66/0x111
 [<ffffffff81163b07>] ? aer_irq+0x0/0x111
 [<ffffffff81081759>] request_irq+0x10d/0x136
 [<ffffffff812b3636>] aer_probe+0xc5/0x148
 [<ffffffff81161fe2>] pcie_port_probe_service+0x3a/0x84
 [<ffffffff811d9a24>] driver_probe_device+0xc0/0x16e
 [<ffffffff811d9b21>] __driver_attach+0x4f/0x79
 [<ffffffff811d9ad2>] ? __driver_attach+0x0/0x79
 [<ffffffff811d92ba>] bus_for_each_dev+0x4f/0x89
 [<ffffffff811d986f>] driver_attach+0x1c/0x1e
 [<ffffffff811d8bda>] bus_add_driver+0xb5/0x1ff
 [<ffffffff814ec140>] ? early_idt_handler+0x0/0x72
 [<ffffffff811d9d10>] driver_register+0xa8/0x128
 [<ffffffff8150fafd>] ? aer_service_init+0x0/0x20
 [<ffffffff814ec140>] ? early_idt_handler+0x0/0x72
 [<ffffffff81161f37>] pcie_port_service_register+0x47/0x49
 [<ffffffff8150fb1b>] aer_service_init+0x1e/0x20
 [<ffffffff8100a047>] do_one_initcall+0x47/0x12e
 [<ffffffff814ec140>] ? early_idt_handler+0x0/0x72
 [<ffffffff81100000>] ? do_io_accounting+0x3e/0x165
 [<ffffffff814ec72b>] kernel_init+0x1c0/0x214
 [<ffffffff812c12ba>] ? trace_hardirqs_on_thunk+0x3a/0x3c
 [<ffffffff810116e9>] child_rip+0xa/0x11
 [<ffffffff81010a07>] ? restore_args+0x0/0x30
 [<ffffffff814ec56b>] ? kernel_init+0x0/0x214
 [<ffffffff810116df>] ? child_rip+0x0/0x11

aer 0000:00:0f.0:pcie01: request IRQ failed
aer: probe of 0000:00:0f.0:pcie01 failed with error -16
Comment 3 Bug Zapper 2009-06-09 22:08:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:53:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.